Mapear
curl --request POST \
--url https://api.firecrawl.dev/v1/map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"search": "<string>",
"ignoreSitemap": true,
"sitemapOnly": false,
"includeSubdomains": true,
"limit": 5000,
"timeout": 123,
"location": {
"country": "US",
"languages": [
"en-US"
]
}
}
'import requests
url = "https://api.firecrawl.dev/v1/map"
payload = {
"url": "<string>",
"search": "<string>",
"ignoreSitemap": True,
"sitemapOnly": False,
"includeSubdomains": True,
"limit": 5000,
"timeout": 123,
"location": {
"country": "US",
"languages": ["en-US"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
search: '<string>',
ignoreSitemap: true,
sitemapOnly: false,
includeSubdomains: true,
limit: 5000,
timeout: 123,
location: {country: 'US', languages: ['en-US']}
})
};
fetch('https://api.firecrawl.dev/v1/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"links": [
"<string>"
]
}{
"error": "Payment required to access this resource."
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}Observação: Uma nova versão v2 desta API já está disponível e oferece recursos e desempenho aprimorados.
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
A URL base de onde iniciar o rastreamento
Consulta de pesquisa usada para mapeamento. Durante a fase Alpha, o componente "inteligente" da funcionalidade de pesquisa é limitado a 500 resultados. Porém, se o mapeamento encontrar mais resultados, nenhum limite será aplicado.
Ignorar o sitemap do site durante o rastreamento.
Retorne apenas os links encontrados no sitemap do site
Incluir subdomínios do site
Número máximo de links a retornar
x <= 30000Tempo limite em milissegundos. Não há tempo limite definido por padrão.
Configurações de localização da requisição. Quando definidas, será usado um proxy apropriado, se disponível, e serão emuladas as configurações correspondentes de idioma e fuso horário. O padrão é "US" se não for especificado.
Show child attributes
Show child attributes
